ImportError: Kein Modul namens pip

| | | | | | | | | | | | | | | | | | | |

OS: Mac OS X 10.7.5 Python Ver: 2.7.5

Ich habe setuptools 1.0 mit ez_setup.py von https://pypi.python.org/pypi/setuptools Dann lade ich pip.1.4.1 pkg von https://pypi.python.org/pypi/pip/1.4.1.

Run (sudo) python setup.py install in iTerm zeigt, dass

running install running bdist_egg running egg_info das Schreiben von Anforderungen an pip.egg-info/requires erfordert .txt Schreiben von pip.egg-info/PKG-INFO Schreiben von Top-Level-Namen in pip.egg-info/top_level.txt Schreiben vondependency_links in pip.egg-info/dependency_links.txt Schreiben von Einstiegspunkten in pip.egg-info/entry_points .txt-Warnung: manifest_maker: Standarddatei „setup.py“ nicht gefunden Manifestdatei „pip.egg-info/SOURCES.txt“ lesen Manifestdatei „pip.egg-info/SOURCES.txt“ schreiben Manifestdatei „pip.egg-info/SOURCES.txt“ installieren Bibliothekscode in build/bdist installieren .macosx-10,6-Zoll tel/egg läuft install_lib Warnung: install_lib: "build/lib" existiert nicht -- keine zu installierenden Python-Module erstellen build/bdist.macosx-10.6-intel/egg erstellen build/bdist.macosx-10.6-intel/egg/EGG erstellen -INFO Kopieren pip.egg-info/PKG-INFO -> build/bdist.macosx-10.6-intel/egg/EGG-INFO kopieren pip.egg-info/SOURCES.txt -> build/bdist.macosx-10.6-intel/egg/EGG-INFO kopieren pip.egg-info/dependency_links.txt -> build/bdist.macosx-10.6-intel/egg/EGG-INFO kopieren pip.egg-info/entry_points.txt -> build/bdist.macosx-10.6-intel/egg/EGG-INFO kopieren pip.egg-info/not-zip-safe -> build/bdist.macosx-10.6-intel/egg/EGG-INFO kopieren pip.egg-info/requires.txt -> build/bdist.macosx-10.6-intel/egg/EGG-INFO kopieren pip.egg-info/top_level.txt -> build/bdist.macosx-10.6-intel/egg/EGG-INFO "dist/pip-1.4.1-py2.7.egg" erstellen und "build/bdist.macosx-10.6-intel/egg" hinzufügen entfernen " build/bdist.macosx-10.6-intel/egg" (und alles darunter) Verarbeitung pip-1.4.1-py2.7.egg Entfernen von "/Users/dl/Library/Python/2.7/lib/python/site-packages /pip-1.4.1-py2.7.egg" (und alles darunter) erstellen /Users/dl/Library/Python/2.7/lib/python/site-packages/pip-1.4.1-py2.7.egg Das Extrahieren von pip-1.4.1-py2.7.egg nach /Users/dl/Library/Python/2.7/lib/python/site-packages pip 1.4.1 ist bereits die aktive Version in easy-install.pth Installing pip script to /Users/dl/Library/Python/2.7/bin Installation des pip-2.7-Skripts nach /Users/dl/Library/Python/2.7/bin installiert /Users/dl/Library/Python/2.7/lib/python/site-packages/ pip-1.4.1-py2.7.egg Verarbeitungsabhängigkeiten für pip==1.4.1 Fertige Verarbeitungsabhängigkeiten für pip==1.4.1 

Dann habe ich pip install< eingegeben /code>, die Fehlermeldung sah so aus

Traceback (letzter Aufruf zuletzt): Datei "/Library/Frameworks/Python.framework/Versions/2.7/bin/pip", Zeile 9, in <module> load_entry_point("pip==1.4.1", "console_scripts", "pip")() Datei "build/bdist.macosx-10.6-intel/egg/pkg_resources.py", Zeile 357, in load_entry_point Datei "build/bdist .macosx-10.6-intel/egg/pkg_resources.py", Zeile 2394, in load_entry_point Datei "build/bdist.macosx-10.6-intel/egg/pkg_resources.py", Zeile 2108, in load ImportError: No module named pip 

Jemand, der das gleiche Problem schon einmal hatte und mir Tipps zur Lösung geben kann?